/**CFile****************************************************************

  FileName    [mvcMan.c]

  PackageName [MVSIS 2.0: Multi-valued logic synthesis system.]

  Synopsis    [Procedures working with the MVC memory manager.]

  Author      [MVSIS Group]
  
  Affiliation [UC Berkeley]

  Date        [Ver. 1.0. Started - February 1, 2003.]

  Revision    [$Id: mvcMan.c,v 1.4 2003/05/27 23:15:14 alanmi Exp $]

***********************************************************************/

#include <string.h>
#include "mvc.h"

////////////////////////////////////////////////////////////////////////
///                        DECLARATIONS                              ///
////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////
///                     FUNCTION DEFITIONS                           ///
////////////////////////////////////////////////////////////////////////

/**Function*************************************************************

  Synopsis    []

  Description []
               
  SideEffects []

  SeeAlso     []

***********************************************************************/
Mvc_Manager_t * Mvc_ManagerStart()
{
    Mvc_Manager_t * p;
    p = ALLOC( Mvc_Manager_t, 1 );
    memset( p, 0, sizeof(Mvc_Manager_t) );
    p->pMan1 = memManFixedStart( sizeof(Mvc_Cube_t),                              1000, 1000 );
    p->pMan2 = memManFixedStart( sizeof(Mvc_Cube_t) +     sizeof(Mvc_CubeWord_t), 1000, 1000 );
    p->pMan4 = memManFixedStart( sizeof(Mvc_Cube_t) + 3 * sizeof(Mvc_CubeWord_t), 1000, 1000 );
    p->pManC = memManFixedStart( sizeof(Mvc_Cover_t), 1000, 1000 );
    return p;
}

/**Function*************************************************************

  Synopsis    []

  Description []
               
  SideEffects []

  SeeAlso     []

***********************************************************************/
void Mvc_ManagerFree( Mvc_Manager_t * p )
{
    memManFixedStop( p->pMan1, 0 );
    memManFixedStop( p->pMan2, 0 );
    memManFixedStop( p->pMan4, 0 );
    memManFixedStop( p->pManC, 0 );
    free( p );
}

////////////////////////////////////////////////////////////////////////
///                       END OF FILE                                ///
////////////////////////////////////////////////////////////////////////


